## org.h2.test.poweroff
Class TestRecover

    java.lang.Object
      org.h2.test.poweroff.TestRecover

    public class TestRecover

extends java.lang.Object

This standalone test checks if recovery of a database works after power failure.

Constructor Summary
`TestRecover()`

Method Summary
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestRecover

    public TestRecover()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`